criterion-measurement-0.1.1.0: Criterion measurement functionality and associated types

Copyright | (c) 2017 Ryan Scott
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe
Language | Haskell2010

Criterion.Measurement.Types.Internal

Description

Exports `fakeEnvironment`.

Synopsis

- fakeEnvironment :: env
- nf' :: (b -> ()) -> (a -> b) -> a -> Int64 -> IO ()
- whnf' :: (a -> b) -> a -> Int64 -> IO ()

# Documentation

fakeEnvironment :: env Source #

A dummy environment that is passed to functions that create benchmarks from environments when no concrete environment is available.

nf' :: (b -> ()) -> (a -> b) -> a -> Int64 -> IO () Source #

Generate a function which applies an argument to a function a given number of times, reducing the result to normal form.

whnf' :: (a -> b) -> a -> Int64 -> IO () Source #

Generate a function which applies an argument to a function a given number of times.